package Mammoth.AI.NPC.SCXML;

import java.util.HashMap;

import Mammoth.AI.NPC.Role;
import Mammoth.PhysicsEngine.PhysicsEngine;
import Mammoth.WorldManager.WorldManager;

public class SCXMLEatAnalyzer extends SCXMLTask {

	private static final String DEFAULT_SCXML = "SCXMLEatAnalyzer.scxml";
	

	
	/*
	 * Default constructor
	 */
	public SCXMLEatAnalyzer(Role npc) {		
		super(npc, DEFAULT_SCXML);
	}
	
	//create a new SCXMLEatDecider with external parameters
	public SCXMLEatAnalyzer(Role npc, String scxmlFile, HashMap<String, Object> params) {		
		super(npc, scxmlFile, params);
	}
	
	public void init() {
		HashMap<String, Object> context = new HashMap<String, Object>();
		context.put("this", this);
		
		this.setContext(context);
		this.startExecution();
	}
	
	public void update(long timestep, WorldManager world, PhysicsEngine physics) {
		
	}
	
}
