package Mammoth.AI.NPC.SCXML;

import java.util.HashMap;

import Mammoth.AI.NPC.Role;
import Mammoth.AI.NPC.RoleImpl;
import Mammoth.AI.NPC.SendMessageAction;
import Mammoth.PhysicsEngine.PhysicsEngine;
import Mammoth.WorldManager.WorldManager;

public class SCXMLMessageActuator extends SCXMLTask {

	SendMessageAction messenger;
	
	public SCXMLMessageActuator(Role npc, String scxmlFile,
			HashMap<String, Object> params) {
		super(npc, scxmlFile, params);
	}

	@Override
	public void update(long timestep, WorldManager world, PhysicsEngine physics) {
		// nothing to do here!

	}

	@Override
	public void init() {
		
		HashMap<String, Object> context = new HashMap<String, Object>();
		context.put("this", this);
		
		this.setContext(context);
		this.startExecution();

	}
	
	public void sendMessage(String message) {
		SendMessageAction sma = new SendMessageAction(npc.getPlayer().getName() + " " + message, ((RoleImpl)npc).getInstantMessagingService());

		sma.execute();
	}

}
